bquote {base} | R Documentation

## Partial substitution in expressions

### Description

An analogue of the LISP backquote macro. `bquote` quotes its argument except that terms wrapped in `.()` are evaluated in the specified `where` environment.

### Usage

    bquote(expr, where = parent.frame())

### Arguments

`expr` | An expression
`where` | An environment

### Value

An expression

### See Also

`quote`, `substitute`

### Examples

    a <- 2

    bquote(a==a)
    quote(a==a)

    bquote(a==.(a))
    substitute(a==A, list(A=a))

    plot(1:10, a*(1:10), main = bquote(a==.(a)))

[Package Contents]